#include "TinyLibrary.hpp"
#include "Global.hpp"

Global* Global::global = NULL;

Global::Global(void)
:phase(0)
,back_color(0)
,game()
,stage(1)
,bgm_handle(-1)
,piyo_handle(-1)
,jump_handle(-1)
,knockdown_handle(-1)
,count(0)
,button_before(0)
,highscore(2000)
,score(0)
{
}

Global::~Global(void)
{
}

void Global::Initialize(void)
{
	Global::global = new Global;
}

void Global::Finalize(void)
{
	if(Global::global != NULL)
	{
		delete Global::global;
		Global::global = NULL;
	}
}

Global& Global::GetInstance()
{
	return *Global::global;
}
