#ifndef RESOURCE_DATA_HPP
#define RESOURCE_DATA_HPP

#include <stdlib.h>

enum
{
	DUMMY_DATA = 0,
	DATA_MAX,
	BG_CHIP_0 = 0,
	BG_CHIP_1,
	BG_CHIP_2,
	BG_CHIP_3,
	BG_CHIP_4,
	BG_CHIP_5,
	BG_CHIP_6,
	BG_CHIP_7,
	TITLE,
	LOGO,
	TITLE2,
	MESSAGE_START,
	MESSAGE_STAGECLEAR,
	MESSAGE_CONGRATULATIONS,
	MESSAGE_CONTINUE,
	MESSAGE_STAGE,
	NUMBER_0,
	NUMBER_1,
	NUMBER_2,
	NUMBER_3,
	NUMBER_4,
	NUMBER_5,
	NUMBER_6,
	NUMBER_7,
	NUMBER_8,
	NUMBER_9,
	METEOR_1,
	METEOR_2,
	METEOR_3,
	METEOR_4,
	METEOR_5,
	METEOR_6,
	METEOR_7,
	HIYOKO_L_1,
	HIYOKO_L_2,
	HIYOKO_R_1,
	HIYOKO_R_2,
	IMAGE_MAX,
	BG_MAP1 = 0,
	BG_MAP2,
	BG_MAP3,
	BG_MAP_MAX,
	SOUND_BGM = 0,
	SOUND_PIYO,
	SOUND_JUMP,
	SOUND_KNOCKDOWN,
	SOUND_MAX
};

struct Data
{
	const void* buffer;
	int size;
};

struct ImageData
{
	const void* buffer;
	int width;
	int height;
};

struct BgMapData
{
	const unsigned char* buffer;
	int width;
	int height;
	int back_red;
	int back_green;
	int back_blue;
};

struct SoundData
{
	const unsigned char* buffer;
	int size;
};

Data* GetData(int number);
ImageData* GetImageData(int number);
BgMapData* GetBgMapData(int number);
SoundData* GetSoundData(int number);

#endif
